body {
  position:relative;
}
 
/* モーダルウィンドウのスタイル */
.modal {
  position:absolute;
  width:100%;
  height:100%;
  top:0;
  left:0;
  display:none;
}
 
/* オーバーレイのスタイル */
.overLay {
  position:absolute;
  top:0;
  left:0;
  background:rgba(200,200,200,0.9);
  width:100%;
  height:100%;
  z-index:10;
}
 
/* モーダルウィンドウの中身のスタイル */
.modal .inner {
  position:fixed;
  z-index:11;
  top:50%;
  left:50%;
  transform:translate(-50%,-50%);
}